import matplotlib.pyplot as plt
import matplotlib.colors as mcolors
import numpy as np

bc = mcolors.BASE_COLORS
x = np.arange(0, 10.5, 0.25)
y = np.cos(x)
num_set = np.random.randint(1, len(mcolors.BASE_COLORS), len(x))
sizes = num_set * 35
colors = [list(bc.keys())[i] for i in num_set]
plt.scatter(x, y, s=sizes, alpha=0.4, c=colors, linewidths=2,
            edgecolors='face')
plt.plot(x, y, 'g--', alpha=0.4)

plt.show()
